Subject: Re: bug#66040: 30.0.50; The XF86AudioLowerVolume on keyboard cannot be detected correctly

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 19:09:27 +0800

Stefan Kangas <[email-masked]> writes:

> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
>> Set x-quit-keysym to nil in your early-init.el, then restart Emacs.
>> This feature (reinterpreting volume-down keys as quit) was introduced in
>> Emacs 30 to support computers without physical input devices capable of
>> typing `C-g'.
>
> That refers to Android phones, right?

GNU/Linux phones, too.  We can't support features on Android that are
absent on free systems.

> Such keys are fairly common on standard keyboards, or at least used to
> be.  There is usually an extra "function key row" with a "volume down"
> key that generates XF86AudioLowerVolume.  I have one of those keyboards
> lying around.
>
> Is there a way to support this on mobile phones without this key
> breaking on machines with regular keyboards?

No idea.  But I've yet to encounter such a phone in practice, so I have
no objection to defaulting x-quit-keysym to nil, if they are indeed left
ungrabbed by window managers on ordinary computers.